@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('branchmaster::branchmaster.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('branchmaster::branchmaster.names') !!}</small>
@stop

@section('title')
{!! trans('branchmaster::branchmaster.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('branchmaster::branchmaster.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='branchmaster-branchmaster-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="branchmaster-branchmaster-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('branchmaster::branchmaster.label.branchname')!!}</th>
        <th>{!! trans('branchmaster::branchmaster.label.description')!!}</th>
        <th>{!! trans('branchmaster::branchmaster.label.delated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::numeric('search[branchname]')->raw()!!}</th>
        <th>{!! Form::text('search[description]')->raw()!!}</th>
        <th>{!! Form::date_time_picker('search[delated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#branchmaster-branchmaster-entry', '{!!trans_url('admin/branchmaster/branchmaster/0')!!}');
    oTable = $('#branchmaster-branchmaster-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/branchmaster/branchmaster') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#branchmaster-branchmaster-list .search_bar input, #branchmaster-branchmaster-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'branchname'},
                    {data :'description'},
                                        {data :'delated_at'},
        ],
        "pageLength": 25
    });

    $('#branchmaster-branchmaster-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#branchmaster-branchmaster-list').DataTable().row( this ).data();

        $('#branchmaster-branchmaster-entry').load('{!!trans_url('admin/branchmaster/branchmaster')!!}' + '/' + d.id);
    });

    $("#branchmaster-branchmaster-list .search_bar input, #branchmaster-branchmaster-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

